"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const fs_1 = (0, tslib_1.__importDefault)(require("fs"));
const index_1 = require("./index");
const graphql_1 = require("graphql");
const graphql_tag_1 = (0, tslib_1.__importDefault)(require("graphql-tag"));
const path_1 = (0, tslib_1.__importDefault)(require("path"));
const typeDef = fs_1.default.readFileSync(path_1.default.join(__dirname, "../data/event-consumer.graphql"), "utf-8");
const schemaTypeDef = fs_1.default.readFileSync(path_1.default.join(__dirname, "../data/schema.graphql"), "utf-8");
test("plugin", () => {
    const schema = (0, graphql_1.buildSchema)(schemaTypeDef);
    const rawDocs = [
        {
            document: (0, graphql_tag_1.default) `
        ${typeDef}
      `,
        },
    ];
    const result = (0, index_1.plugin)(schema, rawDocs, {
        consumer: {
            contextType: "../file#MyContext",
            schemaPrintPath: path_1.default.join(__dirname, "../data/print.graphql"),
            eventSampler: true,
        },
        publisher: true,
    });
    fs_1.default.writeFileSync(path_1.default.join(__dirname, "../data/.output.ts"), `// @ts-nocheck \n${result}`);
});
